@echo off
rem /////////////////////////////////////////////////////////////////////////////
rem //                   PROPRIETARY RIGHTS STATEMENT
rem // The contents of this file represent confidential information that is the
rem // proprietary property of SilverStream Software, LLC.  Viewing or use of
rem // this information is prohibited without the express written consent of
rem // SilverStream Software, Inc. Removal of this PROPRIETARY RIGHTS STATEMENT
rem // is strictly forbidden. Copyright (c) 1999, 2003 All rights reserved.
rem /////////////////////////////////////////////////////////////////////////////

rem --
rem --  exteNd Composer Patch utility
rem --


echo Please make sure Composer Designer and Director is not running if patching Designer, 
echo or Composer Server is not running if patching Server
echo Note: java must be in your path
pause

rem --
rem -- Change directory and patch jars in place
rem --

rem -- relative locations of target jar files (order of test below can be affected by these)


set designerJarLoc=..\..\..\Common\lib
set serverJarLoc=..\..\Composer\lib

if exist ..\server\default\lib\jboss.jar goto jboss
goto server
:jboss
set serverJarLoc=..\server\default\lib


:server
rem -- patch Server
if not exist %serverJarLoc% goto designer
echo Applying Server patch ...
call xcPatch.bat %serverJarLoc% xcs-all.jar xcPatch521s.zip xcs-all-pre1307A.jar
echo Updating latest drop from IWAY ...
copy /Y xc-iway.jar %serverJarLoc%\xc-iway.jar
goto almost_finished

:designer
rem -- patch Designer
if not exist %designerJarLoc% goto nopatch
echo Applying Designer patch ...
call xcPatch.bat %designerJarLoc% xcd-all.jar xcPatch521d.zip xcd-all-pre1307A.jar
echo Updating latest drop from IWAY ...
copy /Y xc-iway.jar ..\lib\xc-iway.jar
echo Creating directory for IDM2 jar files ...
mkdir ..\lib\IDM2
echo Copying jars ...
copy /Y ComposerDriverShim.jar ..\lib\IDM2\ComposerDriverShim.jar
copy /Y ejb.jar ..\lib\IDM2\ejb.jar
copy /Y SilverRuntime.jar ..\lib\IDM2\SilverRuntime.jar
copy /Y xconfig.jar ..\lib\IDM2\xconfig.jar
copy /Y IDM_ProjectTemplate.zip ..\lib\IDM2\IDM_ProjectTemplate.zip
..\..\..\Common\jre\bin\java -classpath xconfpatch.jar;%designerJarLoc%\xcd-all.jar;%designerJarLoc%\xwb-wsdl-uddi.jar; com.novell.composerPatch.PatchXConfig ..\bin
goto finished

:nopatch
rem -- patch files probably in wrong place.
echo "Patch not applied, unable to find Composer jar(s). Please consult readme521.txt for instructions on applying this patch."
goto finished

:almost_finished
if exist ..\server\default\lib\jboss.jar goto jboss1
goto finished

:jboss1
set serverJarLoc=..\server\All\lib

rem -- patch Server
if not exist %serverJarLoc% goto designer
echo Copying to xcs-all.jar "all" configuration ...
copy /Y ..\server\default\lib\xcs-all.jar %serverJarLoc%\

echo Updating latest drop from IWAY ...
copy /Y xc-iway.jar %serverJarLoc%\xc-iway.jar


:finished
set designerJarLoc=
set serverJarLoc=

